Debian Bug report logs - #707255
ITP: parsley -- pattern-matching language based on OMeta and Python

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jérémy Bobbio <lunar@debian.org>

Date: Wed, 8 May 2013 15:51:06 UTC

Owned by: Jérémy Bobbio <lunar@debian.org>

Severity: wishlist

Fixed in version parsley/1.1-1

Done: Jérémy Bobbio <lunar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#707255; Package wnpp. (Wed, 08 May 2013 15:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 08 May 2013 15:51:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: parsley -- pattern-matching language based on OMeta and Python
Date: Wed, 8 May 2013 17:50:15 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Jérémy Bobbio <lunar@debian.org>

* Package name    : parsley
  Version         : 1.1
  Upstream Author : Allen Short <washort42@gmail.com>
* URL             : https://launchpad.net/parsley
* License         : Expat
  Programming Lang: Python
  Description     : pattern-matching language based on OMeta and Python

Parsley is a parsing library for people who find parsers scary or annoying.
It uses the PEG algorithm, so each expression in the grammar rules works like
a Python expression. In particular, alternatives are evaluated in
order, unlike table-driven parsers such as yacc, bison or PLY.

Parsley is an implementation of OMeta, an object-oriented
pattern-matching language developed by Alessandro Warth
<http://tinlizzie.org/ometa/>.

-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 08 May 2013 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Bobbio <lunar@debian.org>:
You have taken responsibility. (Thu, 16 May 2013 13:04:39 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Bobbio <lunar@debian.org>:
Bug acknowledged by developer. (Thu, 16 May 2013 13:04:39 GMT) Full text and rfc822 format available.

Message #12 received at 707255-close@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 707255-close@bugs.debian.org
Subject: Bug#707255: fixed in parsley 1.1-1
Date: Thu, 16 May 2013 13:00:14 +0000
Source: parsley
Source-Version: 1.1-1

We believe that the bug you reported is fixed in the latest version of
parsley, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707255@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Bobbio <lunar@debian.org> (supplier of updated parsley package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 08 May 2013 18:08:22 +0200
Source: parsley
Binary: python-parsley
Architecture: source all
Version: 1.1-1
Distribution: unstable
Urgency: low
Maintainer: Jérémy Bobbio <lunar@debian.org>
Changed-By: Jérémy Bobbio <lunar@debian.org>
Description: 
 python-parsley - pattern-matching language based on OMeta and Python
Closes: 707255
Changes: 
 parsley (1.1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #707255)
Checksums-Sha1: 
 8fdffbe5a1df4d6d3f29ac13b8d749749fb63896 1880 parsley_1.1-1.dsc
 551cec1e6910c7e799a9d33ab280bea70c36cace 67941 parsley_1.1.orig.tar.gz
 5358abba779beb708d2d98cb73769fa6fda2df56 2287 parsley_1.1-1.debian.tar.gz
 009d2e569e9a864e733393c660b46acfe5768505 67530 python-parsley_1.1-1_all.deb
Checksums-Sha256: 
 b41ecd36873faf3c8dffec185726b0a8c427d2569081dd4951a632d3e33deb3e 1880 parsley_1.1-1.dsc
 2d5dc9bdade284085ccbb68483d6503d0b0f02f7cb9e5023a691a212f09b8f8e 67941 parsley_1.1.orig.tar.gz
 bf64cffe90f1cfa996d732a304670e7b3d116eaaafd001e2334dc5318e2b2cd6 2287 parsley_1.1-1.debian.tar.gz
 53a12fd1722dc6b04796f44aee81ca4912dce83e06fdd6c898d760a0cde18321 67530 python-parsley_1.1-1_all.deb
Files: 
 158438c928a263bc98e61e682d01c945 1880 python extra parsley_1.1-1.dsc
 ebe15672d7b97b99c5c5c28c90ef7e51 67941 python extra parsley_1.1.orig.tar.gz
 54d5ebcb92567c33de24afed374c18de 2287 python extra parsley_1.1-1.debian.tar.gz
 044bcf6db241856a509be9a5a86ec01d 67530 python extra python-parsley_1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJRinmdAAoJEEgU3sIrMHw8Z50QAMIubyufwqJcBS0gUw2Nbs8A
3WQxG6VIrgozZXlFuxGaUz/XxJdbVpPCZvCKl009os45Og8WVmzhRqf25HPpfQAe
whveMcr7MA3gzoRrnqdiHiTkxoKEAZ/Ue3pVlgQ6Yc03rUlDbLH1FGxxrnZJoVte
9BZYknS4EZe652I+Xlz9dioYSR3H1TMfNFXcfDBPdJ7wVQS3bVB97cW4iqa6A1yQ
qI4tXITVNkaFo+63iav/1Vfu77fx3JX3jm3qHtQm6bgwsyhYHBKJG0hcPKEyTCHn
Pc49qogUuvUdXg3u3Clok2yqwXTZKgXICzPV8m04MhvTD+60E71wRwFVRkAaCto4
3+FDUyYaZIdE1C+P+NgIdnYwsszJWefFZx+AAA/8QQUhb3o71tb8quCmiLocSWAp
O+XajcpuMhku3OwcdLKcktN+F3A0Gjqxax322BC8zr0dlP6/lD6QsZFbWLyj6S8K
5C2FItH3FTXH2/+khSUVIQc5OdD4Ak/al01CeMmYVBcV7ydOu67S8v0ky49/htpG
u/8l2r5MveMCvnSyvBgVSYKGbzGcvGnOrotUsnPrV5QLLL2jXRCgllAQX/u7gjm0
PD1Cb3gE7uE0xj8GuGubSKH4LoKA7oOI+BG8RjjD6LCQ64KDZ+DfBCtbY2Bda0SR
OD2qIQ/zB2D+3zakSmjZ
=tu6f
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jun 2013 07:50:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:15:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.